bitel.billing.server.admin.resource.bean

## Class ResourceCategoryManager<T extends ResourceCategory<T>>

- java.lang.Object
- - bitel.billing.server.admin.resource.bean.ResourceCategoryManager<T>

- Direct Known Subclasses:
    IPResourceCategoryManager, NumberResourceCategoryManager

      public abstract class ResourceCategoryManager<T extends ResourceCategory<T>>
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.sql.Connection` | `con`
    `protected java.lang.String` | `tableName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceCategoryManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteCategory(int id)`
    `T` | `getCategory(int id)`
    `protected abstract T` | `getCategoryFromRs(java.sql.ResultSet rs)`
    `java.util.List<T>` | `getCategoryTree()`
    `int` | `getSubCount(int categoryId)`
    `protected abstract java.lang.String` | `getTableName()`
    `protected void` | `loadStandartCategoryFields(java.sql.ResultSet rs, T category)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### con

          protected java.sql.Connection con

    - #### tableName

          protected java.lang.String tableName

  - ### Constructor Detail

    - #### ResourceCategoryManager

          public ResourceCategoryManager(java.sql.Connection con,
                                         int mid)

  - ### Method Detail

    - #### getCategoryTree

          public java.util.List<T> getCategoryTree()

    - #### getSubCount

          public int getSubCount(int categoryId)

    - #### loadStandartCategoryFields

          protected void loadStandartCategoryFields(java.sql.ResultSet rs,
                                                    T category)
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getCategory

          public T getCategory(int id)

    - #### deleteCategory

          public void deleteCategory(int id)

    - #### getTableName

          protected abstract java.lang.String getTableName()

    - #### getCategoryFromRs

          protected abstract T getCategoryFromRs(java.sql.ResultSet rs)